Create Domain

POST
https://reloop.sh/api/domain/v1/create

Body Parameters

domainstringRequired

Domain name (e.g., send.reloop.com)

  • Minimum length: 4
  • Maximum length: 255
custom_return_pathstringdefault: "inbound"

Custom return-path subdomain (e.g., inbound)

  • Minimum length: 1
  • Maximum length: 255
trackingstringdefault: "tracking"

Custom tracking subdomain (e.g., tracking)

  • Minimum length: 1
  • Maximum length: 255
click_trackingbooleandefault: false

Whether click tracking is enabled

open_trackingbooleandefault: false

Whether open tracking is enabled

tls"opportunistic""enforced"

Possible values: opportunistic | enforced

sending_emailbooleandefault: true

Whether sending email is enabled

receiving_emailbooleandefault: true

Whether receiving email is enabled

import { Reloop } from "reloop-email";

const reloop = new Reloop({ apiKey: "rl_123456789" });

const { response: domain, error } = await reloop.domain.create({
  domain: "send.example.com",
  custom_return_path: "inbound",
  click_tracking: true,
  open_tracking: true,
  tls: "opportunistic",
  sending_email: true,
  receiving_email: true,
});
if (error) throw error;
{
  "object": "domain",
  "id": "con_123456789",
  "domain": "send.example.com",
  "status": "pending",
  "userVerifiedDomain": true,
  "systemVerified": true,
  "customReturnPath": "inbound",
  "trackingSubdomain": "tracking",
  "isClickTrackingEnabled": true,
  "isOpenTrackingEnabled": true,
  "tls": "opportunistic",
  "isTrackingDomain": true,
  "isSendingEmailEnabled": true,
  "isReceivingEmailEnabled": true,
  "verificationFailedReason": "example_verificationFailedReason",
  "dnsRecords": [
    {
      "id": "dns_123456789",
      "recordType": "MX",
      "recordTypeName": "MX",
      "domain": "example.com",
      "name": "@",
      "value": "feedback-smtp.us-east-1.amazonses.com",
      "ttl": "Auto",
      "priority": 10,
      "status": "active",
      "createdAt": "2026-03-30T10:00:00.000Z",
      "updatedAt": "2026-03-30T10:00:00.000Z"
    }
  ],
  "lastVerifiedAt": "2026-03-23T10:00:00.000Z",
  "createdAt": "2026-03-23T10:00:00.000Z",
  "updatedAt": "2026-03-23T10:00:00.000Z",
  "event": "evt_123456789"
}

Was this page helpful?

Edit this page